services:
  server:
    image: "itzg/minecraft-server"
    volumes:
      - server-data:/data
    environment:
      TYPE: "FORGE"
      PACKWIZ_URL: "http://127.0.0.1:8080/pack.toml"
      EULA: "TRUE"
      VERSION: "1.20.1"
      MEMORY: "8G"
    network_mode: "host"
volumes:
  server-data: